| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Friends | List of all members
Ogre::ParamDictionary Class Reference
Core » General

Class to hold a dictionary of parameters for a single class. More...

`#include <OgreStringInterface.h>`

## Public Member Functions
| ParamDictionary ()
void | addParameter (const ParameterDef &paramDef, ParamCommand *paramCmd)
| Method for adding a parameter definition for this class. More...
const ParameterList & | getParameters (void) const
| Retrieves a list of parameters valid for this object. More...

## Friends
class | StringInterface

## Detailed Description

Class to hold a dictionary of parameters for a single class.

## Constructor & Destructor Documentation

## ◆ ParamDictionary()

Ogre::ParamDictionary::ParamDictionary | ( |  | ) |
| inline

## Member Function Documentation

## ◆ addParameter()

void Ogre::ParamDictionary::addParameter | ( | const ParameterDef & | paramDef,
|  | ParamCommand * | paramCmd
| ) |  |
| inline

Method for adding a parameter definition for this class.

Parameters

  paramDef | A ParameterDef object defining the parameter
  paramCmd | Pointer to a ParamCommand subclass to handle the getting / setting of this parameter. NB this class will not destroy this on shutdown, please ensure you do

References Ogre::ParameterDef::name.

## ◆ getParameters()

const ParameterList& Ogre::ParamDictionary::getParameters | ( | void |  | ) | const
| inline

Retrieves a list of parameters valid for this object.

Returns
  A reference to a static list of ParameterDef objects.

## Friends And Related Function Documentation

## ◆ StringInterface

friend class StringInterface
| friend

The documentation for this class was generated from the following file:

- OgreStringInterface.h